Ace-T's Blog 내 검색 [네이버 커넥트 이웃 합니다~^-^/ 요청 大 환영~~]

[node.js] subModule version up 시 문제

OpenSource/node.js 2014.04.21 21:21
[Good Comment!!, Good Discussion!!, Good Contens!!]
[ If you think that is useful, please click the finger on the bottom~^-^good~ ]
by ace-T

 

subModule version up 시 문제가 발생!!


express라는 녀셕을 npm install express를 통해 상위 버전을 가져와서 셋팅 하였더니..

소스상에서 app.configure()해주는 부분에 파라미터가 달랐다..


기존은 파리미터가 2개, 새로 받은 것은 3개..


// as-is source

app.configure('development', function(){

  app.use(express.errorHandler());

});



// ERROR 

$ node logViewer.js

error: Caught exception: TypeError: Object function (req, res, next) {

    app.handle(req, res, next);

  } has no method 'configure'



소스상의 코드에 영향을 주었다.


   - END -



'OpenSource > node.js' 카테고리의 다른 글

node.js Mac OS에서 설치  (0) 2014.05.01
ㅠ ㅠ 이런..  (0) 2014.04.30
[node.js] subModule version up 시 문제  (0) 2014.04.21
[ERROR] Error: Cannot find module './lib/process'  (0) 2014.04.21
[tip.] Nodejs 개발 들어가기 전 정리!!  (0) 2014.04.21
node.js 셋팅(리눅스 ver)  (0) 2014.04.17

acet 박태하가 추천하는 readtrend 추천글!

설정

트랙백

댓글

:::: facebook을 이용하시는 분들은 로그인 후 아래에 코멘트를 남겨주세요 ::::

티스토리 툴바